Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Class OntTools.PredicatesFilter

    java.lang.Object
      com.hp.hpl.jena.util.iterator.Filter
          com.hp.hpl.jena.ontology.OntTools.PredicatesFilter

Enclosing class:
  OntTools

    public static class OntTools.PredicatesFilter

extends Filter

A filter which accepts statements whose predicate matches one of a collection of predicates held by the filter object.

Field Summary
`java.util.Collection` | `m_preds`

Fields inherited from class com.hp.hpl.jena.util.iterator.Filter
`any`

Constructor Summary
`OntTools.PredicatesFilter(java.util.Collection preds)` Accept statements with any predicate from `preds`
`OntTools.PredicatesFilter(Property pred)` Accept statements with predicate `pred`
`OntTools.PredicatesFilter(Property[] preds)` Accept statements with any predicate from `preds`

Method Summary
`boolean` | `accept(java.lang.Object s)` Answer true iff the object `o` is acceptable.

Methods inherited from class com.hp.hpl.jena.util.iterator.Filter
`and, filterKeep`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_preds

    public java.util.Collection m_preds

Constructor Detail

### OntTools.PredicatesFilter

    public OntTools.PredicatesFilter(java.util.Collection preds)

  Accept statements with any predicate from `preds`

### OntTools.PredicatesFilter

    public OntTools.PredicatesFilter(Property[] preds)

  Accept statements with any predicate from `preds`

### OntTools.PredicatesFilter

    public OntTools.PredicatesFilter(Property pred)

  Accept statements with predicate `pred`

Method Detail

### accept

    public boolean accept(java.lang.Object s)

  Description copied from class: `Filter`
  Answer true iff the object `o` is acceptable. This method may also throw an exception if the argument is of a wrong type; it is not required to return `false` in such a case.

  Specified by:
    `accept` in class `Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP